Skip to content
Start here

List Zaraz historical configuration records

zaraz.history.list(HistoryListParams**kwargs) -> SyncSinglePage[HistoryListResponse]
GET/zones/{zone_id}/settings/zaraz/history

Lists a history of published Zaraz configuration records for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zaraz EditZaraz ReadZaraz Admin
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
limit: Optional[int]

Maximum amount of results to list. Default value is 10.

minimum1
offset: Optional[int]

Ordinal number to start listing the results with. Default value is 0.

minimum0
sort_field: Optional[Literal["id", "user_id", "description", 2 more]]

The field to sort by. Default is updated_at.

One of the following:
"id"
"user_id"
"description"
"created_at"
"updated_at"
sort_order: Optional[Literal["DESC", "ASC"]]

Sorting order. Default is DESC.

One of the following:
"DESC"
"ASC"
ReturnsExpand Collapse
class HistoryListResponse:
id: int

ID of the configuration.

created_at: datetime

Date and time the configuration was created.

formatdate-time
description: str

Configuration description provided by the user who published this configuration.

updated_at: datetime

Date and time the configuration was last updated.

formatdate-time
user_id: str

Alpha-numeric ID of the account user who published the configuration.

List Zaraz historical configuration records

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zaraz.history.list(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "createdAt": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "createdAt": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ],
  "success": true
}